<?php

  $host="";               // rechnername
  $user="";               // db-benutzername
  $password="";           // db-benutzername-passwort

  mysql_connect($host,$user,$password);
  mysql_select_db("");    // db-name

// Datumsvariable
  $thisday = date("j");
  $thismonth = date("n");
  $thisyear = date("Y");
  $nextyear = date("Y") + 1;

$monate = array (31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);

$monatsnamen = array ("januar", "februar", "mrz",
          "april", "mai", "juni", "juli", "august", "september",
          "oktober", "november", "dezember");

// xml-deklaration et cetera ausgeben
function do_header() {
  echo '<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>';
  echo "\n";
  echo '<?xml-stylesheet href="autoren.css" type="text/css"?>';
  echo "\n";

/*
  echo '<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 20010904//EN"'; 
  echo ' "http://www.w3.org/TR/2001/REC-SVG-20010904/DTD/svg10.dtd">';
*/
  echo '<!DOCTYPE svg SYSTEM "/usr/local/xml/dtd/svg10.dtd">'; 

}

// rechteck fuer die daten und ein paar linien zeichnen
function do_calrect($xrectstart, $yrectstart, $yrectend, $eventres) {
  global $monate, $monatsnamen;
  $firstline = 70;

  // rechteck um die ausgabedaten
    echo "\n";
    echo '<rect x="', $xrectstart, '" y="', 
       $yrectstart, '" width="800" height="', 
       $yrectend,
       '" style="fill: rgb(204,204,204);',
       ' stroke: #333366; stroke-width: 1.5;"/>';
  // waagerechte linien vor den daten
    echo '<line x1="', $xrectstart, '" y1="',
       $yrectstart + 20, '" x2="820" y2="', $yrectstart+20, 
       '" style="fill: none; stroke: #ffffff; stroke-width: 1;"/>';
  // erste senkrechte linie
    echo "\n";
    echo '<line x1="', $xrectstart + $firstline, '" y1="',
         $yrectstart + 20, '" x2="', $xrectstart + $firstline,
         '" y2="', $yrectend +5, '"',
       ' style="fill: none; stroke: #ffffff; stroke-width: 1;"/>';

  $xrectstart += $firstline;

  // senkrechte linien zwischen den monaten
  for ($i=0; $i <12; $i++) {
    $xrectend = $xrectstart +  (2 * $monate[$i]);
    if ($i <11) {
      echo '<line class="laengs" x1="', $xrectend,
       '" y1="', $yrectstart +20, '" x2="', 
       $xrectend, '" y2="', $yrectend + 5, '"/>';
    }
    // monate ausgeben
    echo '<text class="monat" x="', $xrectend - (2 + $monate[$i]) -25, 
        '" y="', $yrectstart+15, '">',
       $monatsnamen[$i], '</text>';

    // veranstaltungen aus gesonderter tabelle ausgeben
    do_events($xrectstart, $yrectstart, $yrectend, $eventres);

    $xrectstart = $xrectend;
  } //ende der for-schleife

} // ende von do_calcrect

// legende ausgeben
function do_legend ($ya, $yy) {
  global $thisyear, $thisveryyear, $nextyear;
  if ($thisveryyear == $nextyear) {
    $querystr = "?thisveryyear=" . $thisyear;
    $refyear = $thisyear;
  } else { 
    $querystr = "?thisveryyear=" . $nextyear;
    $refyear = $nextyear;
  }
  echo '<rect x="20" y="', $ya, '" width="70"  height="15"',
       ' style="fill: #336633; stroke: none;"/>';
  echo '<text x="27" y="', $yy, '"',
       ' style="fill: white; font-size: 12;">urlaub etc.</text>';
  echo '<rect x="110" y="', $ya, '" width="70"  height="15"',
       ' style="fill: #666699; stroke: none;"/>';
  echo '<text x="115" y="', $yy, '"',
       ' style="fill: white; font-size: 12;">lesung etc.</text>';
  echo ' <rect x="200" y="', $ya, '" width="70"  height="15"',
       ' style="fill: #cccc66; stroke: none;"/>';
  echo '<text x="210" y="', $yy, '"',
       ' style="fill: white; font-size: 12;">messen...</text>';
  echo '<a xlink:href="index.php',
        $querystr, '"><text x="295" y="', $yy, '"',
       ' style="fill: #000099; font-size: 12;">',
       '---&gt; daten fr ', $refyear, '</text></a>';
}

// veranstaltungen ausgeben
function do_events ($xstart, $ystart, $yend, $vres) {
  while (list($id,$name,$anfang,$ende,$ort) = mysql_fetch_row($vres)) {
    $xhere = $xstart + (2 * $anfang);
    echo '<rect x="', $xhere, '" y="', $ystart + 21,
         '" width="', 2 * ($ende - $anfang), '" height="', $yend -55,
         '" style="fill: #cccc66;">',
          '<set attributeName="visibility" xlink:href="#m', $id,
          '" begin="mouseover" end="mouseout" from="hidden" to="visible"/>', 
          '</rect>';
     echo '<text class="lesung" x="820" y="397"',
          ' id="m', $id, '">', $name, ' [', $ort, ']</text>';
  }
}

?>