# MySQL dump 8.8
#
# Host: localhost    Database: svgtut
#--------------------------------------------------------
# Server version	3.23.46-log

#
# Table structure for table 'svgautoren'
#

CREATE TABLE svgautoren (
  autnum int(11) NOT NULL auto_increment,
  nname varchar(25) DEFAULT '' NOT NULL,
  vname varchar(25) DEFAULT '' NOT NULL,
  kuerzel varchar(6) DEFAULT '' NOT NULL,
  aktiv tinyint(4) DEFAULT '0' NOT NULL,
  PRIMARY KEY (autnum)
);

#
# Dumping data for table 'svgautoren'
#

INSERT INTO svgautoren VALUES (1,'Mankell','Henning','mankel',1);
INSERT INTO svgautoren VALUES (2,'George','Elizabeth','george',1);
INSERT INTO svgautoren VALUES (3,'Hayder','Mo','hayder',1);
INSERT INTO svgautoren VALUES (4,'Hammesfahr','Petra','hammes',1);
INSERT INTO svgautoren VALUES (5,'Hillerman','Tony','hiller',1);
INSERT INTO svgautoren VALUES (6,'Connelly','Michael','connel',1);
INSERT INTO svgautoren VALUES (7,'Smith','Julie','smith',1);
INSERT INTO svgautoren VALUES (8,'Walters','Minette','walter',1);
INSERT INTO svgautoren VALUES (9,'Simenon','George','simeno',0);
INSERT INTO svgautoren VALUES (10,'Martin','Hansjrg','martin',0);
INSERT INTO svgautoren VALUES (11,'Leon','Donna','leon',0);
INSERT INTO svgautoren VALUES (12,'Rendell','Ruth','rendel',1);
INSERT INTO svgautoren VALUES (13,'Vacchs','Andrew','vacchs',1);
INSERT INTO svgautoren VALUES (14,'Christie','Agatha','christ',0);
INSERT INTO svgautoren VALUES (15,'Simenon','George','simeno',0);
INSERT INTO svgautoren VALUES (16,'McGarrity','Michael','mcgarr',1);
INSERT INTO svgautoren VALUES (26,'Dexter','Colin','dexter',1);
INSERT INTO svgautoren VALUES (27,'Grimes','Martha','grimes',1);
INSERT INTO svgautoren VALUES (28,'French','Nicci','french',1);
INSERT INTO svgautoren VALUES (29,'Harris','Thomas','harris',1);

#
# Table structure for table 'svgtermine'
#

CREATE TABLE svgtermine (
  id int(11) NOT NULL auto_increment,
  aut_id tinyint(4) DEFAULT '0' NOT NULL,
  anfang date DEFAULT '0000-00-00' NOT NULL,
  ende date DEFAULT '0000-00-00' NOT NULL,
  grund char(1) DEFAULT '' NOT NULL,
  ort varchar(40),
  firma varchar(40),
  status tinyint(1) DEFAULT '0',
  PRIMARY KEY (id)
);

#
# Dumping data for table 'svgtermine'
#

INSERT INTO svgtermine VALUES (17,1,'2004-01-29','2003-01-30','D','Paris','Shakespeare and Company',1);
INSERT INTO svgtermine VALUES (3,3,'2003-07-01','2003-07-19','U','','',1);
INSERT INTO svgtermine VALUES (4,26,'2003-01-02','2003-01-04','U','','',1);
INSERT INTO svgtermine VALUES (5,3,'2003-09-30','2003-10-11','U','','',1);
INSERT INTO svgtermine VALUES (168,13,'2003-01-12','2003-01-14','D','Glasgow','Waterstones',1);
INSERT INTO svgtermine VALUES (9,4,'2003-11-11','2003-11-29','U','','',1);
INSERT INTO svgtermine VALUES (10,1,'2003-07-22','2003-08-02','U','','',1);
INSERT INTO svgtermine VALUES (11,4,'2003-07-29','2003-08-02','U','','',1);
INSERT INTO svgtermine VALUES (12,4,'2003-05-13','2003-05-24','U','','',1);
INSERT INTO svgtermine VALUES (13,1,'2003-05-13','2003-05-16','U','','',1);
INSERT INTO svgtermine VALUES (15,26,'2003-10-28','2003-11-15','U','','',1);
INSERT INTO svgtermine VALUES (18,28,'2003-03-22','2003-03-29','U','','',1);
INSERT INTO svgtermine VALUES (19,5,'2003-02-12','2003-02-15','D','Mnchen','Hugendubel',1);
INSERT INTO svgtermine VALUES (20,7,'2003-01-02','2003-01-04','U','','',1);
INSERT INTO svgtermine VALUES (21,2,'2003-05-23','2003-05-29','U','','',1);
INSERT INTO svgtermine VALUES (22,3,'2003-01-02','2003-01-02','U','','',1);
INSERT INTO svgtermine VALUES (23,6,'2003-01-29','2003-02-02','D','Hannover','Schmorl &amp;  von Seefeld',1);
INSERT INTO svgtermine VALUES (24,6,'2003-06-06','2003-06-09','D','Berlin','Hammett',1);
INSERT INTO svgtermine VALUES (25,6,'2003-06-09','2003-06-14','D','Taos, NM','Moby Dickens',1);
INSERT INTO svgtermine VALUES (26,6,'2003-10-29','2003-10-31','D','Frankfurt/Main','Hugendubel',1);
INSERT INTO svgtermine VALUES (27,1,'2003-05-20','2003-05-25','D','London','Waterstones',1);
INSERT INTO svgtermine VALUES (29,26,'2003-06-07','2003-06-21','U','','',1);
INSERT INTO svgtermine VALUES (88,7,'2003-09-30','2003-10-11','U','','',1);
INSERT INTO svgtermine VALUES (31,5,'2003-06-07','2003-06-21','U','','',1);
INSERT INTO svgtermine VALUES (32,5,'2003-07-22','2003-07-26','D','Hamburg','Heinrich Heine',1);
INSERT INTO svgtermine VALUES (35,1,'2004-06-02','2004-06-13','U','','',0);
INSERT INTO svgtermine VALUES (36,4,'2003-07-21','2003-07-26','D','Kln','Lit-Center',1);
INSERT INTO svgtermine VALUES (37,2,'2003-06-24','2003-07-15','U','','',1);
INSERT INTO svgtermine VALUES (38,5,'2003-07-16','2003-07-19','U','','',1);
INSERT INTO svgtermine VALUES (39,5,'2003-08-26','2003-09-06','U','','',1);
INSERT INTO svgtermine VALUES (40,8,'2003-04-08','2003-04-26','U','','',1);
INSERT INTO svgtermine VALUES (41,7,'2003-03-25','2003-03-28','U','','',1);
INSERT INTO svgtermine VALUES (42,26,'2003-01-29','2003-01-30','D','Berlin','Dussmann',0);
INSERT INTO svgtermine VALUES (43,1,'2003-02-21','2003-02-28','U','','',1);
INSERT INTO svgtermine VALUES (44,4,'2003-02-21','2003-02-28','U','','',1);
INSERT INTO svgtermine VALUES (45,3,'2003-04-02','2003-04-12','U','','',1);
INSERT INTO svgtermine VALUES (46,6,'2003-08-19','2003-08-30','U','','',1);
INSERT INTO svgtermine VALUES (47,8,'2003-02-26','2003-02-26','U','','',1);
INSERT INTO svgtermine VALUES (169,16,'2003-05-10','2003-05-14','D','Santa F','Borders',1);
INSERT INTO svgtermine VALUES (49,7,'2003-01-30','2003-01-30','U','','',1);
INSERT INTO svgtermine VALUES (50,7,'2003-02-19','2003-02-19','D','New Orleans','Borders',0);
INSERT INTO svgtermine VALUES (51,6,'2003-05-27','2003-05-31','U','','',1);
INSERT INTO svgtermine VALUES (52,2,'2003-08-19','2003-08-20','U','','',1);
INSERT INTO svgtermine VALUES (54,6,'2003-09-04','2003-09-07','D','New York','Borders',0);
INSERT INTO svgtermine VALUES (55,5,'2003-05-10','2003-05-13','U','','',1);
INSERT INTO svgtermine VALUES (56,6,'2003-04-29','2003-04-30','D','London','Murder One',0);
INSERT INTO svgtermine VALUES (64,29,'2003-05-10','2003-05-10','U','','',1);
INSERT INTO svgtermine VALUES (58,26,'2003-05-10','2003-05-10','U','','',1);
INSERT INTO svgtermine VALUES (59,26,'2003-10-04','2003-10-04','U','','',1);
INSERT INTO svgtermine VALUES (60,26,'2003-04-22','2003-04-23','D','Oxford','Christ Church College',0);
INSERT INTO svgtermine VALUES (61,4,'2003-04-26','2003-04-26','D','Braunschweig','Pfannkuch',1);
INSERT INTO svgtermine VALUES (62,2,'2003-05-10','2003-05-10','U','','',1);
INSERT INTO svgtermine VALUES (65,29,'2003-04-29','2003-04-29','U','','',1);
INSERT INTO svgtermine VALUES (66,29,'2003-03-08','2003-03-08','U','','',1);
INSERT INTO svgtermine VALUES (67,29,'2003-02-27','2003-02-27','U','','',1);
INSERT INTO svgtermine VALUES (68,29,'2003-04-08','2003-04-12','U','','',1);
INSERT INTO svgtermine VALUES (69,6,'2003-07-12','2003-07-16','U','','',1);
INSERT INTO svgtermine VALUES (71,6,'2003-05-21','2003-05-22','D','Birmingham','Martin Luther King Comprehensive',0);
INSERT INTO svgtermine VALUES (85,7,'2003-06-25','2003-06-25','D','Baton Rouge, LA','Book Fair',0);
INSERT INTO svgtermine VALUES (73,28,'2003-07-01','2003-08-02','U','','',1);
INSERT INTO svgtermine VALUES (74,27,'2003-06-04','2003-06-07','D','Seattle, WA','Seattle Mystery Bookshop',0);
INSERT INTO svgtermine VALUES (79,5,'2003-05-28','2003-05-28','U','','',1);
INSERT INTO svgtermine VALUES (76,27,'2003-07-01','2003-07-06','D','Paris','Shakespeare and Company',0);
INSERT INTO svgtermine VALUES (77,26,'2003-05-27','2003-05-27','D','Glasgow','Weird Books',0);
INSERT INTO svgtermine VALUES (78,2,'2003-09-12','2003-09-16','U','','',1);
INSERT INTO svgtermine VALUES (80,3,'2003-06-04','2003-06-04','D','Exeter','Waterstones',0);
INSERT INTO svgtermine VALUES (81,8,'2003-05-15','2003-05-15','D','Edinburgh','Waterstones',0);
INSERT INTO svgtermine VALUES (82,29,'2003-06-20','2003-07-15','U','','',1);
INSERT INTO svgtermine VALUES (83,5,'2003-06-28','2003-07-05','D','Albuquerque, NM','Ute Books',0);
INSERT INTO svgtermine VALUES (84,29,'2003-06-11','2003-06-11','U','','',1);
INSERT INTO svgtermine VALUES (86,8,'2003-06-25','2003-06-26','D','Inverness','Mermaid Books',0);
INSERT INTO svgtermine VALUES (87,3,'2003-08-19','2003-08-19','U','','',1);
INSERT INTO svgtermine VALUES (89,7,'2003-12-23','2004-01-06','U','','',0);
INSERT INTO svgtermine VALUES (90,26,'2003-07-10','2003-07-10','D','Gttingen','Deuerlich',0);
INSERT INTO svgtermine VALUES (91,8,'2003-09-02','2003-09-13','U','','',1);
INSERT INTO svgtermine VALUES (92,8,'2003-10-21','2003-10-24','U','','',1);
INSERT INTO svgtermine VALUES (93,5,'2003-10-07','2003-10-18','U','','',1);
INSERT INTO svgtermine VALUES (122,1,'2004-05-20','2004-05-23','D','Stockholm','Mareld',0);
INSERT INTO svgtermine VALUES (96,6,'2003-08-09','2003-08-09','U','','',1);
INSERT INTO svgtermine VALUES (97,29,'2003-08-14','2003-08-14','U','','',1);
INSERT INTO svgtermine VALUES (99,7,'2004-04-14','2004-04-23','U','','',0);
INSERT INTO svgtermine VALUES (101,7,'2004-07-21','2004-08-08','U','','',0);
INSERT INTO svgtermine VALUES (102,7,'2004-10-13','2004-10-25','U','','',0);
INSERT INTO svgtermine VALUES (103,7,'2004-12-22','2004-01-05','U','','',0);
INSERT INTO svgtermine VALUES (104,2,'2003-09-20','2003-09-22','D','Peterborough','Books and more',0);
INSERT INTO svgtermine VALUES (107,28,'2003-08-23','2003-08-23','U','','',1);
INSERT INTO svgtermine VALUES (108,27,'2003-09-18','2003-09-19','D','Sheffield','Crime and more',0);
INSERT INTO svgtermine VALUES (109,26,'2003-10-14','2003-10-16','D','Sheffield','Crime and more',0);
INSERT INTO svgtermine VALUES (110,28,'2003-09-30','2003-10-11','U','','',1);
INSERT INTO svgtermine VALUES (111,27,'2003-12-16','2003-01-03','U','','',1);
INSERT INTO svgtermine VALUES (112,8,'2003-10-13','2003-10-16','D','Manchester','Thrilling Books',0);
INSERT INTO svgtermine VALUES (113,26,'2003-12-23','2003-01-03','U','','',1);
INSERT INTO svgtermine VALUES (115,2,'2004-05-22','2004-05-26','U','','',0);
INSERT INTO svgtermine VALUES (116,29,'2003-10-04','2003-10-04','U','','',1);
INSERT INTO svgtermine VALUES (117,28,'2004-01-14','2004-01-21','U','','',0);
INSERT INTO svgtermine VALUES (118,5,'2003-11-11','2003-11-12','D','Roswell','NASA',1);
INSERT INTO svgtermine VALUES (119,5,'2004-04-28','2004-05-14','U','','',0);
INSERT INTO svgtermine VALUES (120,5,'2004-06-09','2004-06-14','D','San Francisco','City Lights',0);
INSERT INTO svgtermine VALUES (128,6,'2004-01-20','2004-01-24','D','New York','Jacob Javitz',0);
INSERT INTO svgtermine VALUES (126,6,'2003-11-18','2003-11-19','D','Toronto','Bacca',0);
INSERT INTO svgtermine VALUES (130,6,'2004-04-15','2004-04-30','U','','',0);
INSERT INTO svgtermine VALUES (131,6,'2004-04-15','2004-04-30','U','','',0);
INSERT INTO svgtermine VALUES (133,3,'2003-12-16','2004-01-03','U','','',0);
INSERT INTO svgtermine VALUES (134,3,'2004-05-02','2004-05-02','U','','',0);
INSERT INTO svgtermine VALUES (135,3,'2004-04-07','2004-04-23','U','','',0);
INSERT INTO svgtermine VALUES (136,3,'2004-05-09','2004-05-09','U','','',0);
INSERT INTO svgtermine VALUES (137,3,'2004-05-29','2004-05-30','U','','',0);
INSERT INTO svgtermine VALUES (138,3,'2004-06-10','2004-06-10','U','','',0);
INSERT INTO svgtermine VALUES (139,3,'2004-07-21','2004-08-08','U','','',0);
INSERT INTO svgtermine VALUES (140,3,'2004-08-21','2004-08-22','U','','',0);
INSERT INTO svgtermine VALUES (141,3,'2004-10-13','2004-10-24','U','','',0);
INSERT INTO svgtermine VALUES (144,2,'2003-04-07','2003-04-23','U','','',0);
INSERT INTO svgtermine VALUES (145,2,'2004-04-07','2004-04-24','U','','',0);
INSERT INTO svgtermine VALUES (148,27,'2004-01-06','2004-01-17','U','','',0);
INSERT INTO svgtermine VALUES (149,27,'2004-04-03','2004-04-11','U','','',0);
INSERT INTO svgtermine VALUES (152,26,'2004-05-12','2004-05-26','U','','',0);
INSERT INTO svgtermine VALUES (153,26,'2004-01-23','2004-01-24','U','','',0);
INSERT INTO svgtermine VALUES (155,8,'2003-02-03','2003-02-15','U','','',0);
INSERT INTO svgtermine VALUES (156,8,'2004-02-03','2004-02-28','U','','',0);
INSERT INTO svgtermine VALUES (161,1,'2004-02-24','2004-02-28','U','','',0);
INSERT INTO svgtermine VALUES (162,4,'2004-02-24','2004-02-28','U','','',0);
INSERT INTO svgtermine VALUES (164,4,'2004-05-06','2004-05-07','U','','',0);
INSERT INTO svgtermine VALUES (165,4,'2004-05-20','2004-05-23','U','','',0);
INSERT INTO svgtermine VALUES (166,4,'2004-01-20','2004-01-22','D','Mnchen','Hugendubel',0);
INSERT INTO svgtermine VALUES (167,2,'2004-07-28','2004-08-15','U','','',0);
INSERT INTO svgtermine VALUES (170,16,'2003-07-25','2003-08-12','','','',1);

#
# Table structure for table 'svgveranstaltungen'
#

CREATE TABLE svgveranstaltungen (
  id tinyint(4) NOT NULL auto_increment,
  name varchar(80) DEFAULT '' NOT NULL,
  anfang date DEFAULT '0000-00-00' NOT NULL,
  ende date DEFAULT '0000-00-00' NOT NULL,
  ort varchar(60) DEFAULT '' NOT NULL,
  land char(3) DEFAULT '' NOT NULL,
  PRIMARY KEY (id)
);

#
# Dumping data for table 'svgveranstaltungen'
#

INSERT INTO svgveranstaltungen VALUES (1,'Buchmesse','2002-10-09','2002-10-14','Frankfurt/Main','de');
INSERT INTO svgveranstaltungen VALUES (2,'Buchmesse','2003-03-20','2003-03-23','Leipzig','de');
INSERT INTO svgveranstaltungen VALUES (3,'Buchmesse','2003-10-08','2003-10-13','Frankfurt/Main','de');
INSERT INTO svgveranstaltungen VALUES (4,'Buchmesse','2002-03-21','2002-03-24','Leipzig','de');
INSERT INTO svgveranstaltungen VALUES (5,'Criminale','2002-04-17','2002-04-21','Mnchen','de');
INSERT INTO svgveranstaltungen VALUES (6,'Criminale','2003-05-14','2003-05-18','Westerwald','de');

