<?php
  include "div.inc.php";

  header("Content-type: image/svg+xml");

  do_header();

  echo '<svg width="100%" height="100%"',
       ' xmlns="http://www.w3.org/2000/svg"',
       ' xmlns:xlink="http://www.w3.org/1999/xlink">';

  // jahr abfragen/bestimmen
  if (!$thisveryyear) {
    $thisveryyear = $thisyear;
  } 

  // autor abfragen/bestimmen
  if (!$thisveryauthor) {
    $thisveryauthor = "connel";
  } 

// query fuer die abwesenheitsdaten
  $my_query  = "select dayofmonth(t.anfang), month(t.anfang), year(t.anfang), ";
  $my_query .= " dayofmonth(t.ende), month(t.ende), year(t.ende), t.grund, ";
  $my_query .= " t.ort, t.firma, ";
  $my_query .= " a.vname, a.nname";
  $my_query .= " from termine t, autoren a where";
  $my_query .= " year(t.anfang) = '" . $thisveryyear . "'";
  $my_query .= " and t.aut_id = a.autnum";
  $my_query .= " and a.kuerzel = '" . $thisveryauthor . "'";
  $my_query .= " order by month(t.anfang), dayofmonth(t.anfang)";

  $my_res = mysql_query($my_query);


// aeusseres svg-element fuellen
    echo '<rect width="100%" height="100%"',
       ' style="fill: #ccccff; stroke: none;"/>';
    echo '<rect x="1%" y="1%" width="98%" height="98%"',
       ' style="fill: #cccccc; stroke: #333366; stroke-width: 1.5;"/>';
// das jahr als text
  echo '<text x="320" y="25" class="jahr">',
        'urlaub und lesungen ', $thisveryyear, '</text>';
  echo "\n\n";

  $autterm_y = 136;
  // ergebnis auslesen
  while (list($anfangstag,$anfangsmonat,$anfangsjahr,$endtag,$endmonat,$endjahr,$grund,$ort,$firma,$avname,$anname) = mysql_fetch_row($my_res)) {

     if ($autterm_y == 136) {
       echo '<text x="190" y="112" fill="#336699">', $avname, ' ', $anname, '</text>';
       echo '<line x1="190" y1="118" x2="600" y2="118"',
            ' style="stroke-width: 1; stroke: white;"/>';
     }
     echo '<text x="290" y="', $autterm_y,
          '" style="fill: #333399;">',
          $anfangstag, '. ', $anfangsmonat, '. ', $anfangsjahr, '</text>';
     echo '<text x="360" y="', $autterm_y, '" style="fill: #333399;">bis</text>';
     echo '<text x="390" y="', $autterm_y, '" style="fill: #333399;">', 
          $endtag, '. ', $endmonat, '. ', $endjahr, '</text>';
     if (strtoupper($grund) == 'U') {
       echo '<text x="480" y="', $autterm_y, '">[Urlaub]';
     } else { 
       echo '<text x="480" y="', $autterm_y, '">[', $firma, ' in ', $ort, ']';
     }
     echo '</text>';
     echo "\n\n";

  $autterm_y += 18;
  }
  mysql_close();
  echo '  </svg>'; 
?>