<?php
  header("Content-type: image/svg+xml");

  include "div.inc.php";

  do_header();

  echo '<svg width="100%" height="100%"',
       ' xmlns="http://www.w3.org/2000/svg"',
       ' xmlns:xlink="http://www.w3.org/1999/xlink">';

  // jahr abfragen/bestimmen
  if (!$thisveryyear) {
    $thisveryyear = $thisyear;
  } 

// wie viele aktive autor/inn/en
  $my_aquery = "select count(*) from autoren where aktiv=1 ";
  $howmanyauts = mysql_fetch_row(mysql_query($my_aquery));

// welche veranstaltungen
  $my_vquery = "select id, name, dayofyear(anfang), dayofyear(ende), ort ";
  $my_vquery .= " from veranstaltungen where year(anfang) = $thisveryyear ";
  $my_vquery .= " order by dayofyear(anfang) ";
  $eventres = mysql_query($my_vquery);

// query fuer die abwesenheitsdaten
  $my_query  = "select dayofyear(t.anfang), ";
  $my_query .= " dayofyear(t.ende), t.grund, ";
  $my_query .= " t.ort, t.firma, a.kuerzel, ";
  $my_query .= " a.vname, a.nname";
  $my_query .= " from termine t, autoren a where";
  $my_query .= " year(t.anfang) = $thisveryyear";
  $my_query .= " and t.aut_id = a.autnum";
  $my_query .= " order by a.kuerzel, month(t.anfang), dayofmonth(t.anfang)";

  $my_res = mysql_query($my_query);

// y-wert fuer autor/in + y-schrittweite
  $auty = 60;
  $stepy = 20;
// autorenkuerzel
  $autk ="";
  $oldautk ="";
// anfang des rechtecks
  $xrectstart = 20;
  $yrectstart = 15;
  $yrectend = $yrectstart + ($howmanyauts[0] * 20);

// aeusseres svg-element fuellen
    echo '<rect width="100%" height="100%"',
       ' style="fill: #ccccff; stroke: none;"/>';
    echo '<rect x="1%" y="1%" width="98%" height="98%"',
       ' style="fill: #cccccc; stroke: #333366; stroke-width: 1.5;"/>';
// das jahr als text
  echo '<text x="320" y="25" class="jahr">',
        'urlaub und lesungen ', $thisveryyear, '</text>';
  echo "\n\n";

  // funktion zum zeichnen des rechtecks
  // innerhalb eines geschachtelten svg-Elements
  echo '<svg width="97%" height="97%">';
  // rahmen
  do_calrect($xrectstart, $yrectstart + 25, $yrectend + 25, $eventres);

  // ergebnis auslesen
  while (list($anfangstag,$endtag,$grund,$ort,$firma,$aut_kuerzel,$avname,$anname) = mysql_fetch_row($my_res)) {

// farbe: urlaub oder lesung
if (strtoupper($grund) == "D") 
{ $mycolour = "#666699"; } else { $mycolour = "#336633"; }

  // abwesenheit ueber die jahresgrenze
  if ($endtag < $anfangstag) {
    $endtag = 365;
  }

    // kuerzel und abwesenheit ausgeben
    $autk = $aut_kuerzel;
    $auty2 = $auty + 5;
    // mindestbreite fuer abwesenheit
    if (($endtag - $anfangstag) < 1) {
      $rwidth = 2;
    } else { $rwidth = 2 * ($endtag - $anfangstag);
    }
    // wenn neuer urlauber/lesereisender:
    if ($autk != $oldautk) {
      $auty += $stepy;
      $auty2 += 20;

      // linie vor dem einzeleintrag
      echo '<line class="laengs" x1="22" y1="', $auty2, 
           '" x2="818" y2="', $auty2, '"/>';
      echo "\n\n";
      // autorennamen ausgeben
      echo '<a xlink:href="author.php?thisveryauthor=', 
           $aut_kuerzel, '&amp;thisveryyear=', $thisveryyear, '"><text ',
           ' class="kuerzel" id="', $aut_kuerzel, '" x="23"',  
        ' y="', $auty, '">',
        strtolower($anname), '</text></a>';
      echo "\n\n";
      $oldautk = $autk;
    }

      echo '<rect x="', 90 + (2 * $anfangstag),  
           '" y="', $auty -12, '" height="14"',
           ' width="', $rwidth, '"',
           ' style="fill: ', $mycolour, ';">';
      if (strtoupper($grund) == "D") {
         echo '<set attributeName="visibility" xlink:href="#',
           $aut_kuerzel, $anfangstag,
           '"  begin="mouseover" end="mouseout"',
           ' from="hidden" to="visible"/>'; 
      }
      echo '</rect>';
     echo "\n\n";

     // Lesungsdaten aktivierbar 
     if (strtoupper($grund) == "D") {
     echo '<text class="lesung" x="820" y="397"',
          ' id="', $aut_kuerzel, $anfangstag, '">',
          $firma, ' [', $ort, ']', '</text>';
     echo "\n\n";
     }

  }
  mysql_close();
  // legende schreiben
  do_legend(385, 397);

  echo '  </svg>';
  echo '  </svg>'; 
?>